Subject: Re: Initrd and PPCbug, can it work?

From: Magnus Damm <[email-masked]>
Date: Tue, 27 Apr 2004 12:48:20 +0200

On Tue, 27 Apr 2004 11:42:12 +0200
Oliver Korpilla <[email-masked]> wrote:

> This was the first I checked - CONFIG_EXT2_FS is set to y. Besides, I
> tried doing the same with a cramfs initrd - won't work either. Cannot
> say whether I configured that right.
>
> Maybe this is an endianess problem in my initrds?

As long as you use ext2 you should not have any endian problems.

It might be tempting to use other fancy filesystems, but I don't
like endian problems so I usually stick to ext2. I create my
ext2 initrds on x86 systems and use them on ppc without problems.

/ magnus

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/